Bullet Collision Detection & Physics Library: btSoftColliders::CollideFF_DD Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btSoftColliders::CollideFF_DD Struct Reference

`#include <btSoftBodyInternals.h>`

Inheritance diagram for btSoftColliders::CollideFF_DD:
[legend]
Collaboration diagram for btSoftColliders::CollideFF_DD:
[legend]

## Public Member Functions
void | Process (const btDbvntNode *lface1, const btDbvntNode *lface2)
void | Repel (btSoftBody::Face *f1, btSoftBody::Face *f2)
Public Member Functions inherited from btDbvt::ICollide
DBVT_VIRTUAL void | Process (const btDbvtNode *, const btDbvtNode *)
DBVT_VIRTUAL void | Process (const btDbvtNode *)
DBVT_VIRTUAL void | Process (const btDbvtNode *n, btScalar)
DBVT_VIRTUAL void | Process (const btDbvntNode *, const btDbvntNode *)
DBVT_VIRTUAL bool | Descent (const btDbvtNode *)
DBVT_VIRTUAL bool | AllLeaves (const btDbvtNode *)

## Public Attributes
btSoftBody * | psb [2]
btScalar | mrg
bool | useFaceNormal

## Detailed Description

Definition at line 1976 of file btSoftBodyInternals.h.

## Member Function Documentation

## ◆ Process()

void btSoftColliders::CollideFF_DD::Process | ( | const btDbvntNode * | lface1,
|  | const btDbvntNode * | lface2
| ) |  |
| inline

Definition at line 1978 of file btSoftBodyInternals.h.

## ◆ Repel()

void btSoftColliders::CollideFF_DD::Repel | ( | btSoftBody::Face * | f1,
|  | btSoftBody::Face * | f2
| ) |  |
| inline

Definition at line 1989 of file btSoftBodyInternals.h.

## Member Data Documentation

## ◆ mrg

btScalar btSoftColliders::CollideFF_DD::mrg

Definition at line 2044 of file btSoftBodyInternals.h.

## ◆ psb

btSoftBody* btSoftColliders::CollideFF_DD::psb[2]

Definition at line 2043 of file btSoftBodyInternals.h.

## ◆ useFaceNormal

bool btSoftColliders::CollideFF_DD::useFaceNormal

Definition at line 2045 of file btSoftBodyInternals.h.

The documentation for this struct was generated from the following file:

- btSoftBodyInternals.h